Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
UnicityTableEqEq< T > Class Template Reference

`#include <unicity_table.h>`

Inheritance diagram for UnicityTableEqEq< T >:

List of all members.

## Public Member Functions

| UnicityTableEqEq ()
Public Member Functions inherited from UnicityTable< T >
| UnicityTable ()
| ~UnicityTable ()
| Clear the structures and deallocate internal structures.
void | reserve (int size)
int | size () const
| Return the size used.
const T & | get (int id) const
| Return the object from an id.
T * | get_mutable (int id)
int | get_id (T object) const
bool | contains (T object) const
| Return true if T is in the table.
T | contains_id (int id) const
| Return true if the id is valid.
int | push_back (T object)
| Add an element in the table.
void | set_clear_callback (TessCallback1< T > *cb)
void | set_compare_callback (TessResultCallback2< bool, T const &, T const & > *cb)
void | clear ()
void | move (UnicityTable< T > *from)
bool | write (FILE *f, TessResultCallback2< bool, FILE *, T const & > *cb) const
bool | read (FILE *f, TessResultCallback3< bool, FILE *, T *, bool > *cb, bool swap)
| swap is used to switch the endianness.

## Detailed Description

### template<typename T>
class UnicityTableEqEq< T >

Definition at line 99 of file unicity_table.h.

## Constructor & Destructor Documentation

template<typename T>

UnicityTableEqEq< T >::UnicityTableEqEq | ( |  | ) |

inline

Definition at line 101 of file unicity_table.h.

{
UnicityTable<T>::set_compare_callback(
NewPermanentTessCallback(tesseract::cmp_eq<T>));
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/unicity_table.h